NXP NFC Reader Library v4.040.05.011646

Data Fields
phPlatform_DataParams_t Struct Reference
Common » Platform Component

OSAL parameter structure. More...

## Data Fields
uint16_t | wId
| ID of this component, do not modify. More...
phhalHw_Rc523_DataParams_t | sHal
| HAL component holder. More...
phhalHw_Rc663_DataParams_t | sHal
| HAL component holder. More...
phhalHw_Pn5180_DataParams_t | sHal
| HAL component holder. More...
phhalHw_PN7462AU_DataParams_t | sHal
| HAL component holder. More...
phbalReg_LpcOpenSpi_DataParams_t | sBal
| BAL component holder. More...
phbalReg_LpcOpenI2c_DataParams_t | sBal
| BAL component holder. More...
phKeyStore_Sw_DataParams_t | sKeyStore
| Keystore dataparams, due to design limitation keystore is included as part of platform dataparams. More...
phPlatform_Timer_Struct_t | gTimers [PH_PLATFORM_MAX_TIMERS]
| Timer structure. More...

## Detailed Description

OSAL parameter structure.

## Field Documentation

## § wId

uint16_t phPlatform_DataParams_t::wId

ID of this component, do not modify.

## § sHal [1/4]

phhalHw_Rc523_DataParams_t phPlatform_DataParams_t::sHal

HAL component holder.

## § sHal [2/4]

phhalHw_Rc663_DataParams_t phPlatform_DataParams_t::sHal

HAL component holder.

## § sHal [3/4]

phhalHw_Pn5180_DataParams_t phPlatform_DataParams_t::sHal

HAL component holder.

## § sHal [4/4]

phhalHw_PN7462AU_DataParams_t phPlatform_DataParams_t::sHal

HAL component holder.

## § sBal [1/2]

phbalReg_LpcOpenSpi_DataParams_t phPlatform_DataParams_t::sBal

BAL component holder.

## § sBal [2/2]

phbalReg_LpcOpenI2c_DataParams_t phPlatform_DataParams_t::sBal

BAL component holder.

## § sKeyStore

phKeyStore_Sw_DataParams_t phPlatform_DataParams_t::sKeyStore

Keystore dataparams, due to design limitation keystore is included as part of platform dataparams.

## § gTimers

phPlatform_Timer_Struct_t phPlatform_DataParams_t::gTimers[PH_PLATFORM_MAX_TIMERS]

Timer structure.

The documentation for this struct was generated from the following file:

- phPlatform.h